Skip to main content
GET
/
api
/
iab_images
/
{id}
/
cURL
curl --request GET \
  --url https://api.creatify.ai/api/iab_images/{id}/ \
  --header 'X-API-ID: <api-key>' \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.creatify.ai/api/iab_images/{id}/"

headers = {
"X-API-ID": "<api-key>",
"X-API-KEY": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-ID': '<api-key>', 'X-API-KEY': '<api-key>'}};

fetch('https://api.creatify.ai/api/iab_images/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "image": "<string>",
  "output": [
    {
      "name": "<string>",
      "size": "<string>",
      "url": "<string>",
      "type": "<string>"
    }
  ],
  "failed_reason": "<string>",
  "credits_used": 123,
  "webhook_url": "<string>"
}

Authorizations

X-API-ID
string
header
required

API ID, from your settings page.

X-API-KEY
string
header
required

API Key, from your settings page.

Path Parameters

id
string<uuid>
required

A UUID string identifying this IAB Image.

Response

200 - application/json
id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only
image
string<uri>
required

Image file url for the aurora video, 'png', 'jpg', 'jpeg', 'webp' formats only

output
object[]
required
read-only
status
enum<string>
required

Status of the image processing. Default is 'pending'.

  • pending - Pending
  • in_queue - In Queue
  • running - Running
  • failed - Failed
  • done - Done
Available options:
pending,
in_queue,
running,
failed,
done
failed_reason
string | null
required
read-only

Reason for failure. Default is null.

credits_used
number
required
read-only

Credits used in this API call

webhook_url
string<uri> | null

Webhook URL for status updates. Default is null.

Maximum string length: 200